const express = require('express');       // 引入Express
const app = express();                    // 初始化Express
const port = 8000;                        // 使用8000端口

// 路由注册
app.get('/', function(req, resp) {
    const data = {
        userInfo: { 
          favCnt : 19, 
          fansCnt: 37, 
          diaryCnt: 188,
        },
        diaries: [{
          title: '冰雪奇缘',
          publishTime: new Date().getTime(),
          cover: 'https://bailey.pinruikm.com/images/miniprogram/dr1.gif',
          content: '小国阿伦黛尔因一个魔咒永远地被冰天雪地覆盖，为了寻回夏天，安娜公主和山民克里斯托夫以及他的驯鹿搭档组队出发，展开一段拯救王国的历险。',
          readCnt: 19,
          praiseCnt: 8,
          author: 'Bailey'
        },{
          title: '小王子',
          publishTime: new Date().getTime(),
          cover: 'https://bailey.pinruikm.com/images/miniprogram/dr2.jpg',
          content: '小王子从自己星球出发前往地球的过程中，所经历的各种历险。作者以小王子的孩子式的眼光，透视出成人的空虚、盲目，愚妄和死板教条，用浅显天真的语言写出了人类的孤独寂寞、没有根基随风流浪的命运。',
          readCnt: 4,
          praiseCnt: 3,
          author: '小可爱'
        },{
          title: '白雪公主',
          publishTime: new Date().getTime(),
          cover: 'https://bailey.pinruikm.com/images/miniprogram/dr3.jpg',
          content: '白雪公主受到继母皇后，逃到森林里，遇到七个小矮人的故事。',
          readCnt: 12,
          praiseCnt: 7,
          audioPath: 'https://bailey.pinruikm.com/images/miniprogram/audio3.mp3',
          audioDuration: 256,
          author: '小宝贝'
        }]
    };
    resp.send(data);
});

// 启动服务器端程序
app.listen(port, function() {
    console.log('启动成功! 快试试吧~ http://localhost:' + port + '/');
});